#ifndef QUAD_H__
#define QUAD_H__

typedef struct {
  float a, b, c;
} Quad_Fit;

/* Fit to ax^3 + bx + c */
void quadratic_fit (Quad_Fit *fit, float *xv, float *yv, int n);

/* Given input to a fitter, return the output.  */
#define quad_solve(fit, x) \
  ((fit).a * (float)(x) * (float)(x) + (fit).b * (float)(x) + (fit).c)

#endif
